# Interface FacilityLayerInfoJson

Defines the layer and field properties for the Facility layer used for floor filtering. See https://developers.arcgis.com/web-map-specification/objects/facilityLayerInfo/.

interface FacilityLayerInfoJson {
facilityIdField?: string;
layerId?: string;
nameField?: string;
siteIdField?: string;
}

#####
Index

### Properties

facilityIdField?
layerId?
nameField?
siteIdField?

##
Properties

### `Optional` facilityIdField

facilityIdField?: string

The name of the attribute field that contains a facility feature's unique identifier.

### `Optional` layerId

layerId?: string

A layer ID that refers to an operational layer in the map. The layer provides access to Facility features to use for floor filtering.

### `Optional` nameField

nameField?: string

The name of the attribute field that contains a facility feature's name.

### `Optional` siteIdField

siteIdField?: string

The name of the attribute field that contains a facility feature's site identifier (a foreign key to the Site layer).